#!/bin/bash

if [ "$1" == "" ]
then
	echo ERROR: file not specified
	exit -1
fi

ytics="("

for line in `cat $1`; do

	echo $line | grep -qE '^#'
	if [ $? -eq 0 ] 
 	then
   		continue      # Skip commented lines in the input file.
 	fi	

	index=`echo $line | cut -d',' -f1`
	machine=`echo $line | cut -d',' -f2`
	filename=`echo $line | cut -d',' -f3`
	version=`echo $line | cut -d',' -f4`
	dir=`echo $line | cut -d',' -f5`
	startdate=`echo $line | cut -d',' -f6`
	enddate=`echo $line | cut -d',' -f7`

	fullname="$machine:$dir"

	#append '/' to the end of dir if not there	
	echo $fullname | grep -qE '/$'
	if [ $? -eq 1 ]
	then
		fullname="$fullname/"	
	fi

	fullname="$fullname$filename"

	#only append '.' if there is a version
	if [ "$version" != "" ]
	then
		fullname="$fullname."		
	fi
		
	fullname="\"$fullname$version\" $index"

	ytics="$ytics$fullname,"
done

#strip the final comma and add a parentheses - write to new file
echo "$ytics" | sed 's/,$/)/' > "$1.ytics" 

 
