set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4cgateway-1.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 4,4 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:90] 

#create ytics using the 'create_ytics' script
unset ytics
set ytics ("n4cgateway-1:stephen/var/log/syslog" 1,"n4cgateway-1:data/syslog" 2,"n4cgateway-1:stephen/var/log/syslog.1" 3,"n4cgateway-1:data/syslog.1" 4,"n4cgateway-1:data/syslog.1.gz" 5,"n4cgateway-1:stephen/alex/data/syslog.2.gz" 6,"n4cgateway-1:alex/data/syslog.2.gz" 7,"n4cgateway-1:data/syslog.2.gz" 8,"n4cgateway-1:stepen/var/log/user.log" 9,"n4cgateway-1:data/user.log" 10,"n4cgateway-1:var/log/user.log" 11,"n4cgateway-1:var/log/user.log.1" 12,"n4cgateway-1:var/log/user.log.1.gz" 13,"n4cgateway-1:alex/data/user.log.2.gz" 14,"n4cgateway-1:data/user.log.2.gz" 15,"n4cgateway-1:data/mail-complete.log" 16,"n4cgateway-1:data/mail.err" 17,"n4cgateway-1:stephen/var/log/mail.err" 18,"n4cgateway-1:var/log/mail.err" 19,"n4cgateway-1:data/mail.err.1" 20,"n4cgateway-1:var/log/mail.err.1" 21,"n4cgateway-1:stephen/var/log/mail.info" 22,"n4cgateway-1:data/mail.info" 23,"n4cgateway-1:var/log/mail.info" 24,"n4cgateway-1:data/mail.info.1" 25,"n4cgateway-1:var/log/mail.info.1" 26,"n4cgateway-1:var/log/mail.info.1.gz" 27,"n4cgateway-1:data/mail.info.1.gz" 28,"n4cgateway-1:alex/data/mail.info.2.gz" 29,"n4cgateway-1:data/mail.info.2.gz" 30,"n4cgateway-1:stephen/var/log/mail.log" 31,"n4cgateway-1:data/mail.log" 32,"n4cgateway-1:var/log/mail.log" 33,"n4cgateway-1:data/mail.log.1" 34,"n4cgateway-1:var/log/mail.log.1" 35,"n4cgateway-1:var/log/mail.log.1.gz" 36,"n4cgateway-1:data/mail.log.1.gz" 37,"n4cgateway-1:alex/data/mail.log.2" 38,"n4cgateway-1:data/mail.log.2" 39,"n4cgateway-1:data/mail.warn" 40,"n4cgateway-1:var/log/mail.warn" 41,"n4cgateway-1:stephen/var/log/mail.warn" 42,"n4cgateway-1:data/mail.warn.1" 43,"n4cgateway-1:var/log/mail.warn.1" 44,"n4cgateway-1:data/dtnmailackd.log" 45,"n4cgateway-1:data/dtnmailackd.log.1" 46,"n4cgateway-1:data/dtnmailackd.log.1.gz" 47,"n4cgateway-1:alex/data/dtnmailackd.log.2.gz" 48,"n4cgateway-1:data/dtnmailackd.log.2.gz" 49,"n4cgateway-1:data/dtnmailsweep.log" 50,"n4cgateway-1:data/dtnmailsweep.log.1" 51,"n4cgateway-1:data/dtnmailsweep.log.1.gz" 52,"n4cgateway-1:alex/data/dtnmailsweep.log.2.gz" 53,"n4cgateway-1:data/dtnmailsweep.log.2.gz" 54,"n4cgateway-1:data/dtnmailsyncrd.log" 55,"n4cgateway-1:data/dtnmailsyncrd.log.1" 56,"n4cgateway-1:data/dtnmailsyncrd.log.1.gz" 57,"n4cgateway-1:alex/data/dtnmailsyncrd.log.2.gz" 58,"n4cgateway-1:data/dtnmailsyncrd.log.2.gz" 59,"n4cgateway-1:data/dtnmailsyncsd.log" 60,"n4cgateway-1:data/dtnmailsyncsd.log.1" 61,"n4cgateway-1:data/dtnmailsyncsd.log.1.gz" 62,"n4cgateway-1:alex/data/dtnmailsyncsd.log.2.gz" 63,"n4cgateway-1:data/dtnmailsyncsd.log.2.gz" 64,"n4cgateway-1:stephen/var/log/apache2/access.log" 65,"n4cgateway-1:var/log/apache2/access.log" 66,"n4cgateway-1:var/log/apache2/access.log.1" 67,"n4cgateway-1:var/log/apache2/access.log.1.gz" 68,"n4cgateway-1:var/log/apache2/access.log.2.gz" 69,"n4cgateway-1:var/log/apache2/access.log.3.gz" 70,"n4cgateway-1:stephen/var/log/apache2/error.log" 71,"n4cgateway-1:var/log/apache2/error.log" 72,"n4cgateway-1:var/log/apache2/error.log.1" 73,"n4cgateway-1:var/log/apache2/error.log.1.gz" 74,"n4cgateway-1:var/log/apache2/error.log.2.gz" 75,"n4cgateway-1:var/log/apache2/error.log.3.gz" 76,"n4cgateway-1:stephen/var/log/apache2/other_vhosts_access.log" 77,"n4cgateway-1:var/log/apache2/other_vhosts_access.log" 78,"n4cgateway-1:var/log/apache2/other_vhosts_access.log.1" 79,"n4cgateway-1:var/log/apache2/other_vhosts_access.log.1.gz" 80,"n4cgateway-1:var/log/apache2/other_vhosts_access.log.2.gz" 81,"n4cgateway-1:var/log/apache2/other_vhosts_access.log.3.gz" 82)

set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end 
plot 'log.dates-n4cgateway-1' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4cgateway-1' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4cgateway-1' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 900)?85:900) with points, \
     'exits.log' using 1:(($3 == 900)?83:900) with points
