set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4cgateway-2.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 4,4 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:95] 

#create ytics using the 'create_ytics' script
unset ytics
set ytics ("n4cgateway-2:data/syslog" 1,"n4cgateway-2:var/log/syslog" 2,"n4cgateway-2:stephen/misc/gw-2/log/syslog" 3,"n4cgateway-2:stephen/misc/gw-2-7-10/log/syslog" 4,"n4cgateway-2:stephen/misc/gw-2-7-10/log/syslog.1" 5,"n4cgateway-2:stephen/misc/gw-2/log/syslog.1" 6,"n4cgateway-2:data/syslog.1" 7,"n4cgateway-2:var/log/syslog.1" 8,"n4cgateway-2:alex/data/syslog.2.gz" 9,"n4cgateway-2:data/syslog.2.gz" 10,"n4cgateway-2:stephen/misc/gw-2-7-10/log/user.log" 11,"n4cgateway-2:stephen/misc/gw-2/log/user.log" 12,"n4cgateway-2:data/user.log" 13,"n4cgateway-2:var/log/user.log" 14,"n4cgateway-2:stephen/misc/gw-2/log/user.log.1" 15,"n4cgateway-2:var/log/user.log.1" 16,"n4cgateway-2:alex/data/user.log.2.gz" 17,"n4cgateway-2:data/user.log.2.gz" 18,"n4cgateway-2:stephen/misc/gw-2-7-09/log/debug" 19,"n4cgateway-2:stephen/misc/gw-2/log/debug" 20,"n4cgateway-2:var/log/debug" 21,"n4cgateway-2:stephen/misc/gw-2/log/debug.1" 22,"n4cgateway-2:var/log/debug.1" 23,"n4cgateway-2:data/mail-complete.log" 24,"n4cgateway-2:data/mail.err" 25,"n4cgateway-2:var/log/mail.err" 26,"n4cgateway-2:stephen/misc/gw-2-7-10/log/mail.err" 27,"n4cgateway-2:stephen/misc/gw-2/log/mail.err.1" 28,"n4cgateway-2:stephen/misc/gw-2-7-10/log/mail.err.1" 29,"n4cgateway-2:data/mail.err.1" 30,"n4cgateway-2:var/log/mail.err.1" 31,"n4cgateway-2:data/mail.err.2.gz" 32,"n4cgateway-2:stephen/misc/gw-2-7-10/log/mail.info" 33,"n4cgateway-2:stephen/misc/gw-2/log/mail.info" 34,"n4cgateway-2:data/mail.info" 35,"n4cgateway-2:var/log/mail.info" 36,"n4cgateway-2:stephen/misc/gw-2/log/mail.info.1" 37,"n4cgateway-2:data/mail.info.1" 38,"n4cgateway-2:var/log/mail.info.1" 39,"n4cgateway-2:alex/data/mail.info.2.gz" 40,"n4cgateway-2:data/mail.info.2.gz" 41,"n4cgateway-2:stephen/misc/gw-2/log/mail.log" 42,"n4cgateway-2:data/mail.log" 43,"n4cgateway-2:var/log/mail.log" 44,"n4cgateway-2:stephen/misc/gw-2/log/mail.log.1" 45,"n4cgateway-2:data/mail.log.1" 46,"n4cgateway-2:var/log/mail.log.1" 47,"n4cgateway-2:data/mail.log.2" 48,"n4cgateway-2:data/mail.log.2" 49,"n4cgateway-2:alex/data/mail.log.2.gz" 50,"n4cgateway-2:data/mail.warn" 51,"n4cgateway-2:var/log/mail.warn" 52,"n4cgateway-2:stephen/misc/gw-2/log/mail.warn" 53,"n4cgateway-2:stephen/misc/gw-2-7-10/log/mail.warn" 54,"n4cgateway-2:stephen/misc/gw-2/log/mail.warn.1" 55,"n4cgateway-2:data/mail.warn.1" 56,"n4cgateway-2:var/log/mail.warn.1" 57,"n4cgateway-2:data/mail.warn.2.gz" 58,"n4cgateway-2:data/dtnmailackd.log" 59,"n4cgateway-2:data/dtnmailackd.log.1" 60,"n4cgateway-2:alex/data/dtnmailackd.log.2.gz" 61,"n4cgateway-2:data/dtnmailackd.log.2.gz" 62,"n4cgateway-2:data/dtnmailsweep.log" 63,"n4cgateway-2:data/dtnmailsweep.log.1" 64,"n4cgateway-2:alex/data/dtnmailsweep.log.2.gz" 65,"n4cgateway-2:data/dtnmailsweep.log.2.gz" 66,"n4cgateway-2:data/dtnmailsyncrd.log" 67,"n4cgateway-2:data/dtnmailsyncrd.log.1" 68,"n4cgateway-2:alex/data/dtnmailsyncrd.log.2.gz" 69,"n4cgateway-2:data/dtnmailsyncrd.log.2.gz" 70,"n4cgateway-2:data/dtnmailsyncsd.log" 71,"n4cgateway-2:data/dtnmailsyncsd.log.1" 72,"n4cgateway-2:alex/data/dtnmailsyncsd.log.2.gz" 73,"n4cgateway-2:data/dtnmailsyncsd.log.2.gz" 74,"n4cgateway-2:var/log/apache2/access.log" 75,"n4cgateway-2:var/log/apache2/access.log.1" 76,"n4cgateway-2:var/log/apache2/access.log.2.gz" 77,"n4cgateway-2:var/log/apache2/access.log.3.gz" 78,"n4cgateway-2:var/log/apache2/error.log" 79,"n4cgateway-2:var/log/apache2/error.log.1" 80,"n4cgateway-2:var/log/apache2/error.log.2.gz" 81,"n4cgateway-2:var/log/apache2/error.log.3.gz" 82,"n4cgateway-2:var/log/apache2/other_vhosts_access.log" 83,"n4cgateway-2:var/log/apache2/other_vhosts_access.log.1" 84,"n4cgateway-2:var/log/apache2/other_vhosts_access.log.2.gz" 85,"n4cgateway-2:var/log/apache2/other_vhosts_access.log.3.gz" 86)

set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end
plot 'log.dates-n4cgateway-2' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4cgateway-2' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4cgateway-2' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 1000)?90:900) with points, \
     'exits.log' using 1:(($3 == 1000)?88:900) with points
