set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4crouter-1.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 4,4 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:80] 

unset ytics
set ytics ("n4crouter-1:data/logrtc.log" 1,"n4crouter-1:stephen/var/log/battery.log" 2,"n4crouter-1:data/battery.log" 3,"n4crouter-1:var/log/battery.log" 4,"n4crouter-1:var/log/battery.log.1" 5,"n4crouter-1:data/battery.log.2.gz" 6,"n4crouter-1:stephen/var/log/syslog" 7,"n4crouter-1:data/syslog" 8,"n4crouter-1:data/syslog.1" 9,"n4crouter-1:data/syslog.2.gz" 10,"n4crouter-1:stephen/var/log/user.log" 11,"n4crouter-1:data/user.log" 12,"n4crouter-1:var/log/user.log" 13,"n4crouter-1:var/log/user.log.1" 14,"n4crouter-1:data/user.log.2.gz" 15,"n4crouter-1:data/mail-complete" 16,"n4crouter-1:data/mail.err" 17,"n4crouter-1:var/log/mail.err" 18,"n4crouter-1:stephen/var/log/mail.err" 19,"n4crouter-1:data/mail.err.1" 20,"n4crouter-1:var/log/mail.err.1" 21,"n4crouter-1:stephen/var/log/mail.info" 22,"n4crouter-1:data/mail.info" 23,"n4crouter-1:var/log/mail.info" 24,"n4crouter-1:data/mail.info.1" 25,"n4crouter-1:var/log/mail.info.1" 26,"n4crouter-1:data/mail.info.2.gz" 27,"n4crouter-1:stephen/var/log/mail.log" 28,"n4crouter-1:data/mail.log" 29,"n4crouter-1:var/log/mail.log" 30,"n4crouter-1:data/mail.log.1" 31,"n4crouter-1:var/log/mail.log.1" 32,"n4crouter-1:data/mail.log.2" 33,"n4crouter-1:stephen/var/log/mail.warn" 34,"n4crouter-1:data/mail.warn" 35,"n4crouter-1:var/log/mail.warn" 36,"n4crouter-1:data/mail.warn.1" 37,"n4crouter-1:var/log/mail.warn.1" 38,"n4crouter-1:data/mail.warn.2.gz" 39,"n4crouter-1:data/dtnmailackd.log" 40,"n4crouter-1:data/dtnmailackd.log.1" 41,"n4crouter-1:data/dtnmailackd.log.2.gz" 42,"n4crouter-1:data/dtnmailsweep.log" 43,"n4crouter-1:data/dtnmailsweep.log.1" 44,"n4crouter-1:data/dtnmailsweep.log.2.gz" 45,"n4crouter-1:data/dtnmailsyncrd.log" 46,"n4crouter-1:data/dtnmailsyncrd.log.1" 47,"n4crouter-1:data/dtnmailsyncrd.log.2.gz" 48,"n4crouter-1:data/dtnmailsyncsd.log" 49,"n4crouter-1:data/dtnmailsyncsd.log.1" 50,"n4crouter-1:data/dtnmailsyncsd.log.2.gz" 51,"n4crouter-1:stephen/var/log/apache2/access.log" 52,"n4crouter-1:var/log/apache2/access.log" 53,"n4crouter-1:var/log/apache2/access.log.1" 54,"n4crouter-1:var/log/apache2/access.log.2.gz" 55,"n4crouter-1:var/log/apache2/access.log.3.gz" 56,"n4crouter-1:var/log/apache2/access.log.4.gz" 57,"n4crouter-1:stephen/var/log/apache2/error.log" 58,"n4crouter-1:var/log/apache2/error.log" 59,"n4crouter-1:var/log/apache2/error.log.1" 60,"n4crouter-1:var/log/apache2/error.log.2.gz" 61,"n4crouter-1:var/log/apache2/error.log.3.gz" 62,"n4crouter-1:var/log/apache2/error.log.4.gz" 63,"n4crouter-1:stephen/var/log/apache2/other_vhosts_access.log" 64,"n4crouter-1:var/log/apache2/other_vhosts_access.log" 65,"n4crouter-1:var/log/apache2/other_vhosts_access.log.1" 66,"n4crouter-1:var/log/apache2/other_vhosts_access.log.2.gz" 67,"n4crouter-1:var/log/apache2/other_vhosts_access.log.3.gz" 68,"n4crouter-1:var/log/apache2/other_vhosts_access.log.4.gz" 69)


set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end 
plot 'log.dates-n4crouter-1' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4crouter-1' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4crouter-1' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 1700)?78:900) with points, \
     'exits.log' using 1:(($3 == 1700)?75:900) with points
