set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4crouter-2.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 4,4 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:142] 

#create ytics using the 'create_ytics' script
unset ytics
set ytics ("n4crouter-2:data/logrtc.log" 1,"n4crouter-2:alex/var/log/battery.log.1" 2,"n4crouter-2:stephen/var/log/battery.log.1" 3,"n4crouter-2:var/log/battery.log.1" 4,"n4crouter-2:alex/data/battery.log.2" 5,"n4crouter-2:stephen/data/battery.log.2" 6,"n4crouter-2:data/battery.log.2" 7,"n4crouter-2:stephen2/var/log/battery.log" 8,"n4crouter-2:data/battery.log" 9,"n4crouter-2:var/log/battery.log" 10,"n4crouter-2:alex/var/log/battery.log" 11,"n4crouter-2:stephen/var/log/battery.log" 12,"n4crouter-2:stephen2/var/log/syslog.1" 13,"n4crouter-2:stephen/var/log/syslog.1" 14,"n4crouter-2:data/syslog.1" 15,"n4crouter-2:data/syslog.2" 16,"n4crouter-2:stephen2/data/syslog.2.gz" 17,"n4crouter-2:alex/data/syslog.2.gz" 18,"n4crouter-2:stephen/data/syslog.2.gz" 19,"n4crouter-2:stephen2/var/log/syslog" 20,"n4crouter-2:stephen/var/log/syslog" 21,"n4crouter-2:data/syslog" 22,"n4crouter-2:alex/var/log/user.log.1" 23,"n4crouter-2:stephen/var/log/user.log.1" 24,"n4crouter-2:var/log/user.log.1" 25,"n4crouter-2:alex/data/user.log.2.gz" 26,"n4crouter-2:stephen/data/user.log.2.gz" 27,"n4crouter-2:data/user.log.2.gz" 28,"n4crouter-2:stephen2/var/log/user.log" 29,"n4crouter-2:alex/var/log/user.log" 30,"n4crouter-2:stephen/var/log/user.log" 31,"n4crouter-2:data/user.log" 32,"n4crouter-2:var/log/user.log" 33,"n4crouter-2:data/mail-complete" 34,"n4crouter-2:alex/var/log/mail.err.1" 35,"n4crouter-2:stephen/var/log/mail.err.1" 36,"n4crouter-2:data/mail.err.1" 37,"n4crouter-2:var/log/mail.err.1" 38,"n4crouter-2:data/mail.err.2.gz" 39,"n4crouter-2:stephen2/var/log/mail.err" 40,"n4crouter-2:data/mail.err" 41,"n4crouter-2:var/log/mail.err" 42,"n4crouter-2:alex/var/log/mail.err" 43,"n4crouter-2:stephen/var/log/mail.err" 44,"n4crouter-2:alex/var/log/mail.info.1" 45,"n4crouter-2:data/mail.info.1" 46,"n4crouter-2:var/log/mail.info.1" 47,"n4crouter-2:alex/data/mail.info.2.gz" 48,"n4crouter-2:stephen/data/mail.info.2.gz" 49,"n4crouter-2:data/mail.info.2.gz" 50,"n4crouter-2:stephen2/var/log/mail.info" 51,"n4crouter-2:alex/var/log/mail.info" 52,"n4crouter-2:stephen/var/log/mail.info" 53,"n4crouter-2:data/mail.info" 54,"n4crouter-2:var/log/mail.info" 55,"n4crouter-2:alex/var/log/mail.log.1" 56,"n4crouter-2:stephen/var/log/mail.log.1" 57,"n4crouter-2:data/mail.log.1" 58,"n4crouter-2:var/log/mail.log.1" 59,"n4crouter-2:data/mail.log.2" 60,"n4crouter-2:alex/data/mail.log.2.gz" 61,"n4crouter-2:stephen/data/mail.log.2.gz" 62,"n4crouter-2:stephen2/var/log/mail.log" 63,"n4crouter-2:alex/var/log/mail.log" 64,"n4crouter-2:stephen/var/log/mail.log" 65,"n4crouter-2:data/mail.log" 66,"n4crouter-2:var/log/mail.log" 67,"n4crouter-2:alex/var/log/mail.warn.1" 68,"n4crouter-2:stephen/var/log/mail.warn.1" 69,"n4crouter-2:data/mail.warn.1" 70,"n4crouter-2:data/mail.warn.1" 71,"n4crouter-2:var/log/mail.warn.1" 72,"n4crouter-2:alex/data/mail.warn.2.gz" 73,"n4crouter-2:stephen/data/mail.warn.2.gz" 74,"n4crouter-2:stephen2/var/log/mail.warn" 75,"n4crouter-2:data/mail.warn" 76,"n4crouter-2:var/log/mail.warn" 77,"n4crouter-2:alex/var/log/mail.warn" 78,"n4crouter-2:stephen/var/log/mail.warn" 79,"n4crouter-2:data/dtnmailackd.log.1" 80,"n4crouter-2:alex/data/dtnmailackd.log.2.gz" 81,"n4crouter-2:stephen/data/dtnmailackd.log.2.gz" 82,"n4crouter-2:data/dtnmailackd.log.2.gz" 83,"n4crouter-2:data/dtnmailackd.log" 84,"n4crouter-2:data/dtnmailsweep.log.1" 85,"n4crouter-2:alex/data/dtnmailsweep.log.2.gz" 86,"n4crouter-2:stephen/data/dtnmailsweep.log.2.gz" 87,"n4crouter-2:data/dtnmailsweep.log.2.gz" 88,"n4crouter-2:data/dtnmailsweep.log" 89,"n4crouter-2:data/dtnmailsyncrd.log.1" 90,"n4crouter-2:alex/data/dtnmailsyncrd.log.2.gz" 91,"n4crouter-2:stephen/data/dtnmailsyncrd.log.2.gz" 92,"n4crouter-2:data/dtnmailsyncrd.log.2.gz" 93,"n4crouter-2:data/dtnmailsyncrd.log" 94,"n4crouter-2:data/dtnmailsyncsd.log.1" 95,"n4crouter-2:alex/data/dtnmailsyncsd.log.2.gz" 96,"n4crouter-2:stephen/data/dtnmailsyncsd.log.2.gz" 97,"n4crouter-2:data/dtnmailsyncsd.log.2.gz" 98,"n4crouter-2:data/dtnmailsyncsd.log" 99,"n4crouter-2:alex/var/log/apache2/access.log.1" 100,"n4crouter-2:stephen/var/log/apache2/access.log.1" 101,"n4crouter-2:var/log/apache2/access.log.1" 102,"n4crouter-2:alex/var/log/apache2/access.log.2.gz" 103,"n4crouter-2:stephen/var/log/apache2/access.log.2.gz" 104,"n4crouter-2:var/log/apache2/access.log.2.gz" 105,"n4crouter-2:var/log/apache2/access.log.3.gz" 106,"n4crouter-2:var/log/apache2/access.log.4.gz" 107,"n4crouter-2:stephen2/var/log/apache2/access.log" 108,"n4crouter-2:alex/var/log/apache2/access.log" 109,"n4crouter-2:stephen/var/log/apache2/access.log" 110,"n4crouter-2:var/log/apache2/access.log" 111,"n4crouter-2:stephen/var/log/apache2/error.log.1" 112,"n4crouter-2:alex/var/log/apache2/error.log.1" 113,"n4crouter-2:var/log/apache2/error.log.1" 114,"n4crouter-2:alex/var/log/apache2/error.log.2.gz" 115,"n4crouter-2:stephen/var/log/apache2/error.log.2.gz" 116,"n4crouter-2:var/log/apache2/error.log.2.gz" 117,"n4crouter-2:var/log/apache2/error.log.3.gz" 118,"n4crouter-2:var/log/apache2/error.log.4.gz" 119,"n4crouter-2:stephen2/var/log/apache2/error.log" 120,"n4crouter-2:alex/var/log/apache2/error.log" 121,"n4crouter-2:stephen/var/log/apache2/error.log" 122,"n4crouter-2:var/log/apache2/error.log" 123,"n4crouter-2:alex/var/log/apache2/other_vhosts_access.log.1" 124,"n4crouter-2:stephen/var/log/apache2/other_vhosts_access.log.1" 125,"n4crouter-2:var/log/apache2/other_vhosts_access.log.1" 126,"n4crouter-2:alex/var/log/apache2/other_vhosts_access.log.2.gz" 127,"n4crouter-2:stephen/var/log/apache2/other_vhosts_access.log.2.gz" 128,"n4crouter-2:var/log/apache2/other_vhosts_access.log.2.gz" 129,"n4crouter-2:var/log/apache2/other_vhosts_access.log.3.gz" 130,"n4crouter-2:var/log/apache2/other_vhosts_access.log.4.gz" 131,"n4crouter-2:stephen2/var/log/apache2/other_vhosts_access.log" 132,"n4crouter-2:alex/var/log/apache2/other_vhosts_access.log" 133,"n4crouter-2:stephen/var/log/apache2/other_vhosts_access.log" 134,"n4crouter-2:var/log/apache2/other_vhosts_access.log" 135)


set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end 
plot 'log.dates-n4crouter-2' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4crouter-2' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4crouter-2' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 1800)?140:900) with points, \
     'exits.log' using 1:(($3 == 1800)?138:900) with points
