set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4crouter-3.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 6,6 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:130] 

#create ytics using the 'create_ytics' script
unset ytics
set ytics ("n4crouter-3:data/logrtc.log" 1,"n4crouter-3:data/battery.log" 2,"n4crouter-3:var/log/battery.log" 3,"n4crouter-3:stephen/var/log/battery.log" 4,"n4crouter-3:alex/var/log/battery.log" 5,"n4crouter-3:stephen/var/log/battery.log.1" 6,"n4crouter-3:alex/var/log/battery.log.1" 7,"n4crouter-3:var/log/battery.log.1" 8,"n4crouter-3:alex/data/battery.log.2" 9,"n4crouter-3:data/battery.log.2.gz" 10,"n4crouter-3:stephen/var/log/syslog" 11,"n4crouter-3:data/syslog" 12,"n4crouter-3:stephen/var/log/syslog.1" 13,"n4crouter-3:data/syslog.1" 14,"n4crouter-3:alex/data/syslog.2" 15,"n4crouter-3:stephen/data/syslog.2.gz" 16,"n4crouter-3:data/syslog.2.gz" 17,"n4crouter-3:stephen/var/log/user.log" 18,"n4crouter-3:alex/var/log/user.log" 19,"n4crouter-3:data/user.log" 20,"n4crouter-3:var/log/user.log" 21,"n4crouter-3:stephen/var/log/user.log.1" 22,"n4crouter-3:alex/var/log/user.log.1" 23,"n4crouter-3:var/log/user.log.1" 24,"n4crouter-3:alex/data/user.log.2.gz" 25,"n4crouter-3:data/user.log.2.gz" 26,"n4crouter-3:data/mail-complete" 27,"n4crouter-3:data/mail.err" 28,"n4crouter-3:var/log/mail.err" 29,"n4crouter-3:alex/var/log/mail.err" 30,"n4crouter-3:stephen/var/log/mail.err" 31,"n4crouter-3:stephen/var/log/mail.err.1" 32,"n4crouter-3:data/mail.err.1" 33,"n4crouter-3:var/log/mail.err.1" 34,"n4crouter-3:alex/var/log/mail.err.1" 35,"n4crouter-3:data/mail.err.2.gz" 36,"n4crouter-3:alex/data/mail.err.2.gz" 37,"n4crouter-3:stephen/var/log/mail.info" 38,"n4crouter-3:alex/var/log/mail.info" 39,"n4crouter-3:data/mail.info" 40,"n4crouter-3:var/log/mail.info" 41,"n4crouter-3:stephen/var/log/mail.info.1" 42,"n4crouter-3:alex/var/log/mail.info.1" 43,"n4crouter-3:data/mail.info.1" 44,"n4crouter-3:var/log/mail.info.1" 45,"n4crouter-3:alex/data/mail.info.2.gz" 46,"n4crouter-3:data/mail.info.2.gz" 47,"n4crouter-3:stephen/var/log/mail.log" 48,"n4crouter-3:alex/var/log/mail.log" 49,"n4crouter-3:data/mail.log" 50,"n4crouter-3:var/log/mail.log" 51,"n4crouter-3:stephen/var/log/mail.log.1" 52,"n4crouter-3:alex/var/log/mail.log.1" 53,"n4crouter-3:data/mail.log.1" 54,"n4crouter-3:var/log/mail.log.1" 55,"n4crouter-3:data/mail.log.2" 56,"n4crouter-3:alex/data/mail.log.2.gz" 57,"n4crouter-3:data/mail.log.2.gz" 58,"n4crouter-3:stephen/var/log/mail.warn" 59,"n4crouter-3:alex/var/log/mail.warn" 60,"n4crouter-3:data/mail.warn" 61,"n4crouter-3:var/log/mail.warn" 62,"n4crouter-3:stephen/var/log/mail.warn.1" 63,"n4crouter-3:alex/var/log/mail.warn.1" 64,"n4crouter-3:data/mail.warn.1" 65,"n4crouter-3:var/log/mail.warn.1" 66,"n4crouter-3:alex/data/mail.warn.2.gz" 67,"n4crouter-3:data/mail.warn.2.gz" 68,"n4crouter-3:data/dtnmailackd.log" 69,"n4crouter-3:data/dtnmailackd.log.1" 70,"n4crouter-3:alex/data/dtnmailackd.log.2.gz" 71,"n4crouter-3:data/dtnmailackd.log.2.gz" 72,"n4crouter-3:data/dtnmailsweep.log" 73,"n4crouter-3:data/dtnmailsweep.log.1" 74,"n4crouter-3:alex/data/dtnmailsweep.log.2.gz" 75,"n4crouter-3:data/dtnmailsweep.log.2.gz" 76,"n4crouter-3:data/dtnmailsyncrd.log" 77,"n4crouter-3:data/dtnmailsyncrd.log.1" 78,"n4crouter-3:alex/data/dtnmailsyncrd.log.2.gz" 79,"n4crouter-3:data/dtnmailsyncrd.log.2.gz" 80,"n4crouter-3:data/dtnmailsyncsd.log" 81,"n4crouter-3:data/dtnmailsyncsd.log.1" 82,"n4crouter-3:alex/data/dtnmailsyncsd.log.2.gz" 83,"n4crouter-3:data/dtnmailsyncsd.log.2.gz" 84,"n4crouter-3:stephen/var/log/apache2/access.log" 85,"n4crouter-3:alex/var/log/apache2/access.log" 86,"n4crouter-3:var/log/apache2/access.log" 87,"n4crouter-3:stephen/var/log/apache2/access.log.1" 88,"n4crouter-3:alex/var/log/apache2/access.log.1" 89,"n4crouter-3:var/log/apache2/access.log.1" 90,"n4crouter-3:alex/var/log/apache2/access.log.2.gz" 91,"n4crouter-3:var/log/apache2/access.log.2.gz" 92,"n4crouter-3:var/log/apache2/access.log.3.gz" 93,"n4crouter-3:var/log/apache2/access.log.4.gz" 94,"n4crouter-3:var/log/apache2/access.log.5.gz" 95,"n4crouter-3:var/log/apache2/access.log.6.gz" 96,"n4crouter-3:var/log/apache2/access.log.7.gz" 97,"n4crouter-3:stephen/var/log/apache2/error.log" 98,"n4crouter-3:alex/var/log/apache2/error.log" 99,"n4crouter-3:var/log/apache2/error.log" 100,"n4crouter-3:alex/var/log/apache2/error.log.1" 101,"n4crouter-3:var/log/apache2/error.log.1" 102,"n4crouter-3:stephen/var/log/apache2/error.log.1.gz" 103,"n4crouter-3:alex/var/log/apache2/error.log.2.gz" 104,"n4crouter-3:var/log/apache2/error.log.2.gz" 105,"n4crouter-3:var/log/apache2/error.log.3.gz" 106,"n4crouter-3:var/log/apache2/error.log.4.gz" 107,"n4crouter-3:var/log/apache2/error.log.5.gz" 108,"n4crouter-3:var/log/apache2/error.log.6.gz" 109,"n4crouter-3:var/log/apache2/error.log.7.gz" 110,"n4crouter-3:var/log/apache2/other_vhosts_access.log" 111,"n4crouter-3:stephen/var/log/apache2/other_vhosts_access.log" 112,"n4crouter-3:alex/var/log/apache2/other_vhosts_access.log" 113,"n4crouter-3:alex/var/log/apache2/other_vhosts_access.log.1" 114,"n4crouter-3:var/log/apache2/other_vhosts_access.log.1" 115,"n4crouter-3:stephen/var/log/apache2/other_vhosts_access.log.1.gz" 116,"n4crouter-3:alex/var/log/apache2/other_vhosts_access.log.2.gz" 117,"n4crouter-3:var/log/apache2/other_vhosts_access.log.2.gz" 118,"n4crouter-3:var/log/apache2/other_vhosts_access.log.3.gz" 119,"n4crouter-3:var/log/apache2/other_vhosts_access.log.4.gz" 120,"n4crouter-3:var/log/apache2/other_vhosts_access.log.5.gz" 121,"n4crouter-3:var/log/apache2/other_vhosts_access.log.6.gz" 122,"n4crouter-3:var/log/apache2/other_vhosts_access.log.7.gz" 123)

set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end 
plot 'log.dates-n4crouter-3' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4crouter-3' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4crouter-3' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 1900)?128:900) with points, \
     'exits.log' using 1:(($3 == 1900)?125:900) with points
