set term postscript eps color blacktext "Helvetica" 18
set output 'log.dates-n4crouter-4.eps'

set datafile commentschar "#"
set datafile separator ","

set grid
set size 4,4 

set xdata time
set timefmt "%Y-%m-%d %H:%M:%S"

#range
a='2010-07-01'
b='2010-09-20'

set xrange [a:b]
set yrange [0:110] 

#create ytics using the 'create_ytics' script
unset ytics
set ytics ("n4crouter-4:data/logrtc.log" 1,"n4crouter-4:stephen/var/log/battery.log" 2,"n4crouter-4:data/battery.log" 3,"n4crouter-4:var/log/battery.log" 4,"n4crouter-4:stephen/var/log/battery.log.1" 5,"n4crouter-4:var/log/battery.log.1" 6,"n4crouter-4:stephen/data/battery.log.2.gz" 7,"n4crouter-4:data/battery.log.2.gz" 8,"n4crouter-4:stephen/var/log/syslog" 9,"n4crouter-4:data/syslog" 10,"n4crouter-4:stephen/var/log/syslog.1" 11,"n4crouter-4:data/syslog.1" 12,"n4crouter-4:stephen/data/syslog.2.gz" 13,"n4crouter-4:data/syslog.2.gz" 14,"n4crouter-4:stephen/var/log/user.log" 15,"n4crouter-4:data/user.log" 16,"n4crouter-4:var/log/user.log" 17,"n4crouter-4:stephen/var/log/user.log.1" 18,"n4crouter-4:var/log/user.log.1" 19,"n4crouter-4:stephen/data/user.log.2.gz" 20,"n4crouter-4:data/user.log.2.gz" 21,"n4crouter-4:data/mail-complete" 22,"n4crouter-4:data/mail.err" 23,"n4crouter-4:var/log/mail.err" 24,"n4crouter-4:stephen/var/log/mail.err" 25,"n4crouter-4:data/mail.err.1" 26,"n4crouter-4:var/log/mail.err.1" 27,"n4crouter-4:stephen/var/log/mail.err.1" 28,"n4crouter-4:stephen/var/log/mail.info" 29,"n4crouter-4:data/mail.info" 30,"n4crouter-4:var/log/mail.info" 31,"n4crouter-4:stephen/var/log/mail.info.1" 32,"n4crouter-4:data/mail.info.1" 33,"n4crouter-4:var/log/mail.info.1" 34,"n4crouter-4:stephen/data/mail.info.2.gz" 35,"n4crouter-4:data/mail.info.2.gz" 36,"n4crouter-4:stephen/var/log/mail.log" 37,"n4crouter-4:data/mail.log" 38,"n4crouter-4:var/log/mail.log" 39,"n4crouter-4:stephen/var/log/mail.log.1" 40,"n4crouter-4:data/mail.log.1" 41,"n4crouter-4:var/log/mail.log.1" 42,"n4crouter-4:data/mail.log.2" 43,"n4crouter-4:stephen/data/mail.log.2.gz" 44,"n4crouter-4:stephen/var/log/mail.warn" 45,"n4crouter-4:data/mail.warn" 46,"n4crouter-4:var/log/mail.warn" 47,"n4crouter-4:stephen/var/log/mail.warn.1" 48,"n4crouter-4:data/mail.warn.1" 49,"n4crouter-4:var/log/mail.warn.1" 50,"n4crouter-4:stephen/data/mail.warn.2.gz" 51,"n4crouter-4:data/mail.warn.2.gz" 52,"n4crouter-4:data/dtnmailackd.log" 53,"n4crouter-4:data/dtnmailackd.log.1" 54,"n4crouter-4:stephen/data/dtnmailackd.log.2.gz" 55,"n4crouter-4:data/dtnmailackd.log.2.gz" 56,"n4crouter-4:data/dtnmailsweep.log" 57,"n4crouter-4:data/dtnmailsweep.log.1" 58,"n4crouter-4:stephen/data/dtnmailsweep.log.2.gz" 59,"n4crouter-4:data/dtnmailsweep.log.2.gz" 60,"n4crouter-4:data/dtnmailsyncrd.log" 61,"n4crouter-4:data/dtnmailsyncrd.log.1" 62,"n4crouter-4:stephen/data/dtnmailsyncrd.log.2.gz" 63,"n4crouter-4:data/dtnmailsyncrd.log.2.gz" 64,"n4crouter-4:data/dtnmailsyncsd.log" 65,"n4crouter-4:data/dtnmailsyncsd.log.1" 66,"n4crouter-4:stephen/data/dtnmailsyncsd.log.2" 67,"n4crouter-4:data/dtnmailsyncsd.log.2" 68,"n4crouter-4:stephen/var/log/apache2/access.log" 69,"n4crouter-4:var/log/apache2/access.log" 70,"n4crouter-4:stephen/var/log/apache2/access.log.1" 71,"n4crouter-4:var/log/apache2/access.log.1" 72,"n4crouter-4:stephen/var/log/apache2/access.log.2.gz" 73,"n4crouter-4:var/log/apache2/access.log.2.gz" 74,"n4crouter-4:var/log/apache2/access.log.3.gz" 75,"n4crouter-4:var/log/apache2/access.log.4.gz" 76,"n4crouter-4:var/log/apache2/access.log.5.gz" 77,"n4crouter-4:var/log/apache2/access.log.6.gz" 78,"n4crouter-4:var/log/apache2/access.log.7.gz" 79,"n4crouter-4:stephen/var/log/apache2/error.log" 80,"n4crouter-4:var/log/apache2/error.log" 81,"n4crouter-4:stephen/var/log/apache2/error.log.1" 82,"n4crouter-4:var/log/apache2/error.log.1" 83,"n4crouter-4:stephen/var/log/apache2/error.log.2.gz" 84,"n4crouter-4:var/log/apache2/error.log.2.gz" 85,"n4crouter-4:var/log/apache2/error.log.3.gz" 86,"n4crouter-4:var/log/apache2/error.log.4.gz" 87,"n4crouter-4:var/log/apache2/error.log.5.gz" 88,"n4crouter-4:var/log/apache2/error.log.6.gz" 89,"n4crouter-4:var/log/apache2/error.log.7.gz" 90,"n4crouter-4:stephen/var/log/apache2/other_vhosts_access.log" 91,"n4crouter-4:var/log/apache2/other_vhosts_access.log" 92,"n4crouter-4:stephen/var/log/apache2/other_vhosts_access.log.1" 93,"n4crouter-4:var/log/apache2/other_vhosts_access.log.1" 94,"n4crouter-4:stephen/var/log/apache2/other_vhosts_access.log.2.gz" 95,"n4crouter-4:var/log/apache2/other_vhosts_access.log.2.gz" 96,"n4crouter-4:var/log/apache2/other_vhosts_access.log.3.gz" 97,"n4crouter-4:var/log/apache2/other_vhosts_access.log.4.gz" 98,"n4crouter-4:var/log/apache2/other_vhosts_access.log.5.gz" 99,"n4crouter-4:var/log/apache2/other_vhosts_access.log.6.gz" 100,"n4crouter-4:var/log/apache2/other_vhosts_access.log.7.gz" 101)

set title 'Log Dates'
#set key top right
#set key box
set nokey

#index, machine, filename, version, dir, start, end 
plot 'log.dates-n4crouter-4' using 6:1:6:7:1:($1-0.5) index 0 title "battery - syslog" with boxxy fs solid, \
     'log.dates-n4crouter-4' using 6:1:6:7:1:($1-0.5) index 1 title "mail" with boxxy fs solid, \
     'log.dates-n4crouter-4' using 6:1:6:7:1:($1-0.5) index 2 title "apache" with boxxy fs solid, \
     'starts.log' using 1:(($3 == 2000)?108:900) with points, \
     'exits.log' using 1:(($3 == 2000)?105:900) with points
